Liquid UI - WS Reference Library

2.3 System Requirements


These are the recommended system requirements and minimum system requirements for accessing LMP web portal.

Recommended System Requirements

LMP requires an Internet browser, and an active Internet connection. If you meet the recommended system requirements below, you can take advantage of the latest features and get the best overall experience. To see the minimum requirements for each feature, you can review the minimum requirements table at the bottom of this page. You can also access the site in following devices with accuracy.

iPhone, iPad, and iPod touch

  • iOS 11
  • iWork for iOS (Pages 2.5 or later, Numbers 2.5 or later, Keynote 2.5 or later)1

Mac

  • macOS High Sierra
  • iTunes 12.7
  • Safari 9.1 or later, Firefox 45 or later, or Google Chrome 54 or later
  • iWork for Mac (Pages 5.5 or later, Numbers 3.5 or later, Keynote 6.5 or later)1

PC

  • Microsoft Windows 10
  • iTunes 12.7
  • Outlook 2007 - Outlook 20162
  • Microsoft Edge, Firefox 45 or later, or Google Chrome 54 or later (desktop mode only)


Minimum system requirements

To open LMP web portal, you need at least following devices with minimum versions.

  • iOS 5 on iPhone 3GS
  • iPod touch (3rd generation)
  • iPad, or iPad mini;
  • OS X Lion 10.7.5 on a Mac.
  • Windows 7 or later
  • Internet Explorer 9 or later
  • Firefox 22
  • Google Chrome 28 in desktop mode only

Note: If you face any trouble in loading the site, check the proxy settings in the browser to access the site https://ps.liquid-ui.com